<?php 
declare(strict_types=0);
// session_start();
foreach($_GET as $campo => $valor){${$campo}=trim(str_replace("'","\'",str_replace('"','\"',$valor))); $_PARAMS[$campo]=${$campo};} 
foreach($_POST as $campo => $valor){${$campo}=trim(str_replace("'","\'",str_replace('"','\"',$valor))); $_PARAMS[$campo]=${$campo};} 

include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];

$codigo=strtoupper($codigo);
$ruc=substr($ruc,0,10).'001';

$ipip=$_SERVER['REMOTE_ADDR'];

$dom = new DOMDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->formatOutput = true;

$error_save='';

$response=$dom->appendChild($dom->createElement("response"));
$msgswal=$response->appendChild($dom->createElement("msgswal")); 
$msgswal->setAttribute("id","msgswal");

$error_save='';

$empr0=data_maes('empr',$cfg_empr);
$docu0=data_maes('docu',$modu);
$tabla=$docu0['docu_tabla'];
$tabla0=$tabla.'0';

if (empty($tabla))
   {
      $error_save='Docu 0 tabla';
   }
//$error_save='Docu 0 tabla '.$codigo." Tabla : ".$tabla;


$user_acce=0;
if(@mb_stristr('sist.supe',$user0['user_tipo']))
{$user_acce=1;}
else
{
     $sql_acce ='select * ';
     $sql_acce.='from acce1 ';
     $sql_acce.='left join acce2 on idnum1=idnum2 ';
     $sql_acce.='left join docu0 on docum=docu_codigo ';
     $sql_acce.='where numero='.$user_codigo.' ';
     $sql_acce.='and docu_tabla="'.$modu.'" ';
     $sql_acce.='and (nuev=1 or modi=1)';
     $res_acce=msql_query($sql_acce,$link_data);
     if(msql_num_rows($res_acce)!=0){$user_acce=1;}
}
//if(empty($user_acce)){$error_save.='/NO TIENE ACCESO A GRABAR ';}
$user_acce=1;


if($tabla=='empr')
{
     $color1=$color1x;
     $color2=$color2x;
     $color3=$color3x;
}

if($tabla=='enti') 
{
     if(empty($nom1) and empty($nom2) and !empty($calle2) and !empty($callen))
     {
          $descri=$calle2.' '.$callen;
          $ape1=$calle2;
          $nom1=$callen;
     }
}


if($tabla=='enti')
{
     if(!empty($ape1)){$sql_maes.=' and '.$tabla.'_ape1="'.$ape1.'" '; $apenom.=$ape1;}
     if(!empty($ape2)){$sql_maes.=' and '.$tabla.'_ape2="'.$ape2.'" '; $apenom.=' '.$ape2;}
     if(!empty($nom1)){$sql_maes.=' and '.$tabla.'_nom1="'.$nom1.'" '; $apenom.=' '.$nom1;}
     if(!empty($nom2)){$sql_maes.=' and '.$tabla.'_nom2="'.$nom2.'" '; $apenom.=' '.$nom2;}
     $apenom=ucwords($apenom);

     if(empty($descri)){$descri=$razsoc;}
     if(empty($nomcom)){$nomcom=$razsoc;}

     if(empty($descri)){$descri=$apenom;}
     if(empty($nomcom)){$nomcom=$apenom;}
     if(empty($razsoc)){$razsoc=$apenom;}
     if(empty($razsoc)){$razsoc=$descri;}
     
     if(empty($nom1))
     {
          $plit_name=split_name($descri);
          $nom1=$plit_name['nom1'];
          $nom2=$plit_name['nom2'];
          $ape1=$plit_name['ape1'];
          $ape2=$plit_name['ape2'];
     }
     
//      if(substr($codigo,2,1)==9){$nom1='';$nom2='';$ape1='';$ape2=''; }
     
}


if($tabla=='seri')
{
     $item0=data_maes('item',$item);
     
     if(empty($item0['item_codigo'])){$error_save='*** ERROR EN ITEM ***';}
     
     if(!empty($item0['item_codigo']))
     {
          $serial=str_replace(' ',';',$serial);
          $serial=str_replace(',',';',$serial);
          $serial=str_replace("\n",";",$serial);
          $serial=str_replace("\r",";",$serial);
          $serial=str_replace(';;',';',$serial);
          $serial=str_replace(';;',';',$serial);
          $serial=explode(';',$serial);

          for($idx=0; $idx<=count($serial); $idx++)
          {
//                $error_save.='*/*/*'.$idx.'*/*/*'.$serial[$idx];
//                if(!empty($serial[$idx]))
               if(strlen($serial[$idx])>=5)
               {
                    $sql_seri='select * from seri0 where seri_item = "'.$item.'" and seri_numero="'.$serial[$idx].'" ';
                    $res_seri=msql_query($sql_seri,$link_data);
//                     echo '<br>*/*/*/* '.$sql_seri;
                    if(msql_num_rows($res_seri)==0)
                    {
                         $sql_inse='insert into seri0(seri_item,seri_numero,seri_iuser,seri_idate)value("'.$item.'","'.$serial[$idx].'","'.$user_codigo.'",now())';
                         $res_inse=msql_query($sql_inse,$link_data);
                    }
               }
          }
          
     }
     
}


if($tabla=='pmdo')
{
     if(empty($mrca)){$error_save='*** ERROR EN MARCA ***';}
//      if(empty($modelo)){$error_save='*** ERROR EN MODELO ***';}
//      if(empty($anio)){$error_save='*** ERROR EN ANIO ***';}
     $mrca0=data_maes('mrca',$mrca);
//      $modelo=alltrim($modelo);
     if(empty($descri))   
     {$descri=$mrca0['mrca_descri'].' /'.$clvh;}
}

if($tabla=='mdvh')
{
     if(empty($mrca)){$error_save='*** ERROR EN MARCA ***';}
     if(empty($modelo)){$error_save='*** ERROR EN MODELO ***';}
     if(empty($anio)){$error_save='*** ERROR EN ANIO ***';}
     $mrca0=data_maes('mrca',$mrca);
     $modelo=alltrim($modelo);
     $descri=$mrca0['mrca_descri'].' /'.$modelo.' /'.$anio;
}

if($tabla=='vinn')
{
//      if(empty($mrca)){$error_save='*** ERROR EN MARCA ***';}
//      if(empty($modelo)){$error_save='*** ERROR EN MODELO ***';}
//      if(empty($anio)){$error_save='*** ERROR EN ANIO ***';}
     $mrca0=data_maes('mrca',$mrca);
     $descri=$mrca0['mrca_descri'].' /'.$modelo.' /'.$anio.' /'.$plvh;
     
     if(!empty($mdvh))
     {
          $mdvh0=data_maes('mdvh',$mdvh);
          $descri=$mdvh0['mdvh_descri'].' /'.$plvh;
     }
}


if($tabla=='ppdd')
{
     if(strlen(trim($rsdente1))<10){$rsdente1=$pptario1;}
     if(strlen(trim($wsappr1 ))<10){$wsappr1=$wsapp1; }
}




if(empty($codigo))
{
//      $sql_stru='describe '.$tabla0;
//      $res_stru=msql_query($sql_stru,$link_data);
//      $autoinc=msql_result($res_stru,0,'Extra');

     if($tabla=='ctas')
     {
//           if(substr($cuenta,0,strlen($grupo)!=$grupo)){$error_save.='Cuenta '.$cuenta.' No Pertenece a Grupo '.$grupo;}
//           else
          {
               $sql_maes ='select * from '.$tabla0.' where trim('.$tabla.'_codigo) = "'.$grupo.'" ';
               $res_maes =msql_query($sql_maes,$link_data);
               if(msql_num_rows($res_maes)==0){$error_save.='No Existe Grupo '.$grupo.' ';}
               else
               {
                    $sql_maes ='select * from '.$tabla0.' where trim('.$tabla.'_codigo)="'.$cuenta.'" ';
                    $res_maes =msql_query($sql_maes,$link_data);
                    if(msql_num_rows($res_maes)!=0){$error_save.='Ya Existe '.msql_result($res_maes,0,$tabla.'_codigo').' ==> '.msql_result($res_maes,0,$tabla.'_descri');}
                    else
                    {
//                          echo '*/*/*'.substr($cuenta,0,strlen($grupo).'*/*/*/';
//                          echo '*/*/*'.$grupo.'*/*/*/';
                                             
//                          if(substr($cuenta,0,strlen($grupo)!=$grupo)){$error_save.='Cuenta '.$cuenta.' No Pertenece a Grupo '.$grupo;}
                         if(substr($cuenta,0,strlen($grupo))!=$grupo){$error_save.='Cuenta '.$cuenta.' No Pertenece a Grupo '.$grupo;}
                         else{$codigo=new_ctas($cuenta,$descri);}
                    }
//                     if(msql_num_rows($res_maes)==0){$codigo=$cuenta;}
               }
          }
          
     }
     
     if($tabla=='enti')
     {
          $descri='';
          $sql_maes ='select * from '.$tabla0.' where left('.$tabla.'_codigo,2)="99" ';
          if(!empty($ape1)){$sql_maes.=' and '.$tabla.'_ape1="'.$ape1.'" '; $descri.=$ape1;}
          if(!empty($ape2)){$sql_maes.=' and '.$tabla.'_ape2="'.$ape2.'" '; $descri.=' '.$ape2;}
          if(!empty($nom1)){$sql_maes.=' and '.$tabla.'_nom1="'.$nom1.'" '; $descri.=' '.$nom1;}
          if(!empty($nom2)){$sql_maes.=' and '.$tabla.'_nom2="'.$nom2.'" '; $descri.=' '.$nom2;}
          if(!empty($razsoc)){$sql_maes.=' and '.$tabla.'_razsoc="'.$razsoc.'" '; $descri=' '.$razsoc;}
          $sql_maes.='order by '.$tabla.'_codigo ';
          $sql_maes.='limit 1';
          $res_maes=msql_query($sql_maes,$link_data);
          
//           echo '====> '.$sql_maes;
          
          if(msql_num_rows($res_maes)!=0){$error_save.=$tabla.' Ya Existe '.msql_result($res_maes,0,$tabla.'_codigo').' ==> '.$descri;}
          if(msql_num_rows($res_maes)==0){$codigo=new_enti();}
     }    
     
     if($tabla=='item')
     {
          $sql_maes ='select * ';
          $sql_maes.='from '.$tabla0.' ';
          $sql_maes.='where left('.$tabla.'_codigo,2)!="99" ';
          $sql_maes.='and ('.$tabla.'_descri="'.$descri.'" ';
          if(!empty($ean)){$sql_maes.='or '.$tabla.'_ean="'.$ean.'" ';}
          if(!empty($rgsn)){$sql_maes.='or '.$tabla.'_rgsn="'.$rgsn.'" ';}
          if(!empty($numpart)){$sql_maes.='or '.$tabla.'_numpart="'.$numpart.'" ';}
          if(!empty($modelo)){$sql_maes.='or concat('.$tabla.'_marca,'.$tabla.'_modelo)="'.$marca.$modelo.'" ';}
          $sql_maes.=') ';
          $sql_maes.='order by '.$tabla.'_codigo ';
          $sql_maes.='limit 1';
          $res_maes=msql_query($sql_maes,$link_data);
          
          if(msql_num_rows($res_maes)!=0)
          {
               $error_save.='Ya Existe '.$descri;
               if(!empty($ean)){$error_save.='<br>|| '.$ean;}
               if(!empty($rgsn)){$error_save.='<br>|| '.$rgsn;}
               if(!empty($numpart)){$error_save.='<br>|| '.$numpart;}
               if(!empty($modelo)){$error_save.='<br>|| '.$marca.'-'.$modelo;}
               $error_save.='<br>==> '.msql_result($res_maes,0,$tabla.'_codigo');
          }
          if(msql_num_rows($res_maes)==0){$codigo=new_item();}
     }    

     if($tabla=='nrol')
     {
          if(empty($enti)){$error_save.='<br>Error en Estudiante';}
          if(empty($curs)){$error_save.='<br>Error en Curso';}
          
          $sql_veri='select * from curs0 ';
          $sql_veri.='where ifnull(curs_status,"") not in("O","X") ';
          $sql_veri.='and curs_psco >= '.date('Y').' ';
          $sql_veri.='curs_codigo ="'.$curs.'" ';
          $res_veri=msql_query($sql_veri,$link_data);
//           if(msql_num_rows($res_veri)==0)
//           {$error_save.='<br>Curso NO VALIDO';}
          
          $sql_veri='select * from nrol0 ';
          $sql_veri.='where ifnull(nrol_status,"") not in("O","X")';
          $sql_veri.='and nrol_enti like "'.$enti.'" and nrol_curs="'.$curs.'" ';
          $res_veri=msql_query($sql_veri,$link_data);
          
          if(msql_num_rows($res_veri)!=0){$error_save.='<br>Enrolamiento YA EXISTE';}
          if(msql_num_rows($res_veri)==0){$codigo=new_maes('nrol');}
          
     }
     
     if($tabla=='rpis')
     {
          if(empty($cedula)){$error_save.='<br>Error en CEDULA';}
          if(empty($fecha)){$error_save.='<br>Error en FECHA';}
          
          $sql_veri='select * from '.$tabla0.' ';
          $sql_veri.='where ifnull('.$tabla.'_status,"") not in("O","X")';
//           $sql_veri.='and '.$tabla.'_descri like "'.$descri.'" ';
          $sql_veri.='and '.$tabla.'_cedula like "'.$cedula.'" ';
          $sql_veri.='and '.$tabla.'_fecha like "'.$fecha.'" ';
          $res_veri=msql_query($sql_veri,$link_data);
          
          if(msql_num_rows($res_veri)!=0){$error_save.='<br>REGISTRO YA EXISTE';}
          if(msql_num_rows($res_veri)==0){$codigo=new_maes($tabla);}
          
          
     }
     
     if($tabla=='lreu')
     {
          if(empty($cong)){$cong=$_SESSION['cong_codigo'];}
          if(empty($cong)){$error_save.='<br>Error en CONGREGACION';}
          if(empty($descri)){$error_save.='<br>Error en DESCRIPCION';}
          if(empty($direccion)){$error_save.='<br>Error en DIRECCION';}
          
          $sql_veri='select * from '.$tabla0.' ';
          $sql_veri.='where ifnull('.$tabla.'_status,"") not in("O","X")';
//           $sql_veri.='and '.$tabla.'_descri like "'.$descri.'" ';
          $sql_veri.='and '.$tabla.'_descri like "'.$descri.'" ';
          $sql_veri.='and '.$tabla.'_cong like "'.$cong.'" ';
          $res_veri=msql_query($sql_veri,$link_data);
          
          
          
          if(msql_num_rows($res_veri)!=0){$error_save.='<br>LUGAR DE REUNION YA EXISTE';}
          if(empty($error_save))
          if(msql_num_rows($res_veri)==0){$codigo=new_codigo($tabla,6,3,1);}
          
          
     }
     
     if($tabla=='trty')
     {
          if(empty($cong)){$cong=$_SESSION['cong_codigo'];}
          if(empty($cong)){$error_save.='<br>Error en CONGREGACION';}
          if(empty($grupo)){$error_save.='<br>Error en GRUPO ';}
          if(empty($sector)){$error_save.='<br>Error en SECTOR';}
          if(empty($bloques)){$error_save.='<br>Error en BLOQUES';}
          
          $sector=str_replace(' ','_',$sector);
          
          $descri=$sector.' #'.$numero.' ('.$bloques.')';
          if(empty($descri)){$error_save.='<br>Error en DESCRIPCION';}
          
          $sql_veri='select * from '.$tabla0.' ';
          $sql_veri.='where ifnull('.$tabla.'_status,"") not in("O","X")';
//           $sql_veri.='and '.$tabla.'_descri like "'.$descri.'" ';
          $sql_veri.='and '.$tabla.'_sector like "'.$sector.'" ';
          $sql_veri.='and '.$tabla.'_bloques like "'.$bloques.'" ';
          $sql_veri.='and '.$tabla.'_numero like "'.$numero.'" ';
          $sql_veri.='and '.$tabla.'_cong like "'.$cong.'" ';
          $res_veri=msql_query($sql_veri,$link_data);
          
          if(msql_num_rows($res_veri)!=0){$error_save.='<br>Territorio YA EXISTE';}
          
          if(empty($error_save))
          if(msql_num_rows($res_veri)==0){$codigo=new_codigo($tabla,7,'y',1);}

     }

     
     
     if($tabla=='ppdd')
     {
          {
               if(empty($pptario1)){$error_save.='<br>Error en PROPIETARIO';}
               if(empty($calle2)){$error_save.='<br>Error en PISO /MZ';}
               if(empty($callen)){$error_save.='<br>Error en DPTO /VILLA';}
               
               
          }
          
          $descri=$calle2.' ('.$callen.') ';
          $descri.=' ==> '.$pptario;
          
          $sql_veri='select * from '.$tabla0.' ';
          $sql_veri.='where ifnull('.$tabla.'_status,"") not in("O","X")';
          $sql_veri.='and '.$tabla.'_pptario like "'.$pptario.'" ';
          $sql_veri.='and '.$tabla.'_calle2 like "'.$calle2.'" ';
          $sql_veri.='and '.$tabla.'_callen like "'.$callen.'" ';
          $res_veri=msql_query($sql_veri,$link_data);
          
          if(msql_num_rows($res_veri)!=0){$error_save.='<br>Propiedad YA EXISTE';}
          if(empty($error_save))
          if(msql_num_rows($res_veri)==0){$codigo=new_ppdd($calle2,$callen);}
          
          if((int)$calle2h >= (int)$calle2 and (int)$callenh > (int)$callen)
          {
               for($idx1=$calle2; $idx1<=$calle2h; $idx1++)
               for($idx2=$callen; $idx2<=$callenh; $idx2++)
               {$codigo=new_ppdd($idx1,$idx2);}
          }
     }

     if($tabla=='bbii')
     {
          {
               if(empty($direccion)){$error_save.='<br>Error en DIRECCION';}
               if(empty($venta) and empty($alqui)){$error_save.='<br>Error en Venta/Alquiler';}
          }
          
          $descri=$calle2.' ('.$callen.') ';
          $descri.=' ==> '.$pptario;
          
          $sql_veri='select * from '.$tabla0.' ';
          $sql_veri.='where ifnull('.$tabla.'_status,"") not in("O","X")';
          $sql_veri.='and '.$tabla.'_pptario like "'.$pptario.'" ';
          $sql_veri.='and '.$tabla.'_calle2 like "'.$calle2.'" ';
          $sql_veri.='and '.$tabla.'_callen like "'.$callen.'" ';
          $res_veri=msql_query($sql_veri,$link_data);
          
          if(msql_num_rows($res_veri)!=0){$error_save.='<br>BIEN INMUEBLE YA EXISTE';}
          if(empty($error_save))
          if(msql_num_rows($res_veri)==0){$codigo=new_bbii($calle2,$callen);}
     }
     
     if($tabla=='pmdo')
     {
          
          $sql_maes ='select * ';
          $sql_maes.='from '.$tabla0.' ';
          $sql_maes.='where left('.$tabla.'_codigo,2)!="99" ';
          $sql_maes.='and '.$tabla.'_mrca="'.$mrca.'" ';
          $sql_maes.='and '.$tabla.'_clvh="'.$clvh.'" ';
          $sql_maes.='and '.$tabla.'_puni="'.$puni.'" ';
          $sql_maes.='order by '.$tabla.'_codigo ';
          $sql_maes.='limit 1';
          $res_maes=msql_query($sql_maes,$link_data);
          
          if(msql_num_rows($res_maes)!=0)
          {
               $error_save.='Ya Existe '.$descri;
          }
          if(msql_num_rows($res_maes)==0)
          {$codigo=new_codigo('pmdo',6,'y');}
     }    

     
     if($tabla=='mdvh')
     {
          $sql_maes ='select * ';
          $sql_maes.='from '.$tabla0.' ';
          $sql_maes.='where left('.$tabla.'_codigo,2)!="99" ';
          $sql_maes.='and '.$tabla.'_mrca="'.$mrca.'" ';
          $sql_maes.='and '.$tabla.'_modelo="'.$modelo.'" ';
          $sql_maes.='and '.$tabla.'_anio="'.$anio.'" ';
          $sql_maes.='order by '.$tabla.'_codigo ';
          $sql_maes.='limit 1';
          $res_maes=msql_query($sql_maes,$link_data);
          
          if(msql_num_rows($res_maes)!=0)
          {
               $error_save.='Ya Existe '.$descri;
          }
          if(msql_num_rows($res_maes)==0){$codigo=new_codigo('mdvh',8,$anio);}
     }    

     
     
     
     if($tabla=='mtch')
     {
          $sql_maes ='select * from '.$tabla0.' where '.$tabla.'_codigo is not null ';
          $sql_maes.=' and '.$tabla.'_liga="'.$liga.'" ';
          $sql_maes.=' and '.$tabla.'_torn="'.$torn.'" ';
          $sql_maes.=' and '.$tabla.'_team1="'.$team1.'" ';
          $sql_maes.=' and '.$tabla.'_team2="'.$team2.'" ';
          $sql_maes.=' and '.$tabla.'_jornada="'.$jornada.'" ';
          $sql_maes.=' and '.$tabla.'_fecha="'.$fecha.'" ';
          $sql_maes.=' and '.$tabla.'_hora="'.$hora.'" ';
//           if(!empty($ean)){$sql_maes.=' or '.$tabla.'_ean="'.$ean.'" ';}
//           if(!empty($numpart)){$sql_maes.=' or '.$tabla.'_numpart="'.$numpart.'" ';}
//           if(!empty($modelo)){$sql_maes.=' or concat('.$tabla.'_marca,'.$tabla.'_modelo)="'.$marca.$modelo.'" ';}
//           $sql_maes.=') ';
          $sql_maes.='order by '.$tabla.'_codigo ';
          $sql_maes.='limit 1';
          $res_maes=msql_query($sql_maes,$link_data);
          
          if(msql_num_rows($res_maes)!=0){$error_save.='Ya Existe '.$descri.' ==> '.msql_result($res_maes,0,$tabla.'_codigo');}
          if(msql_num_rows($res_maes)==0){$codigo=new_maes($tabla);}
          
//           echo '/*/*/*/*'.$sql_maes;
//           echo '/*/*/*/*'.$codigo;
          
     }
     
     if($tabla=='torn')
     {
// //        validar
          $descri=trim($descri);
          $sql_maes ='select * from '.$tabla0.' where '.$tabla.'_descri="'.$descri.'"';
          $sql_cons=msql_query($sql_inse,$link_data);
          if(msql_num_rows($sql_cons)==0)
            {
              $sql_inse='insert into '.$tabla.'0 ('.$tabla.'_descri,'.$tabla.'_idate,'.$tabla.'_iuser) values ("'.$descri.'",now(),"'.$user_codigo.'")';    
              $res_inse=msql_query($sql_inse,$link_data);
            }
          $sql_maes ='select * from '.$tabla0.' where '.$tabla.'_descri="'.$descri.'"';
          $sql_cons=msql_query($sql_maes,$link_data);
           while($aso_docu=msql_fetch_assoc($sql_cons))
           {
                $codigo=$aso_docu['torn_codigo'];
           }
          
        }
}

if(!empty($codigo))
{
     $sql_stru='describe '.$tabla0;
     $res_stru=msql_query($sql_stru,$link_data);
     
//      if(msql_result($res_stru,0,'Type')=='char(2)' or msql_result($res_stru,0,'Type')=='char(4)' )
     if(msql_result($res_stru,0,'Type')=='char(2)' or msql_result($res_stru,0,'Type')=='char(4)' or msql_result($res_stru,0,'Type')=='char(6)' )
     {
       $sql_veri='select * from '.$tabla.'0 where '.$tabla.'_codigo ="'.$codigo.'"';
       $res_veri=msql_query($sql_veri,$link_data);
       if(msql_num_rows($res_veri)==0)
       {
         $sql_inse='insert into '.$tabla.'0 ('.$tabla.'_codigo,'.$tabla.'_idate,'.$tabla.'_iuser) values ("'.$codigo.'",now(),"'.$user_codigo.'")';
         $res_inse=msql_query($sql_inse,$link_data);
       }
     }

     if(msql_result($res_stru,0,'Type')=='char(9)' )
     {
       $lencodigo=strlen($codigo);
       if($lencodigo==4){$codigo.='-';}   
       if($lencodigo==5 or $lencodigo==9)
       {
            $sql_veri='select * from '.$tabla.'0 where '.$tabla.'_codigo ="'.$codigo.'"';
            $res_veri=msql_query($sql_veri,$link_data);
            if(msql_num_rows($res_veri)==0)
            {
              $sql_inse='insert into '.$tabla.'0 ('.$tabla.'_codigo,'.$tabla.'_idate,'.$tabla.'_iuser) values ("'.$codigo.'",now(),"'.$user_codigo.'")';
              $res_inse=msql_query($sql_inse,$link_data);
            }
       }
     }
     
     if($tabla=='user')
     {
          if(strlen($descri)<3 and strlen($cedula)>=10)
          {
               $cedula0=data_maes('enti',$cedula);
               $nomape=$cedula0['enti_nom1'].' '.$cedula0['enti_ape1'];
               if(strlen($nomape)>strlen($descri)){$descri=$nomape;}
          }
     }
     
     
     if($tabla=='item')
     {
          for($idx=1; $idx<=10; $idx++)
          {
               $puni_a=${'puni'.$idx};
               $puni_b=${'puni'.($idx+1)};
               $pvp_a=${'pvp'.$idx};
               $pvp_b=${'pvp'.($idx+1)};
               $dcto_a=${'dcto'.$idx};
               $dcto_b=${'dcto'.($idx+1)};
               if($puni_b>$puni_a){$error_save.='<br>Error : Unit_'.($idx+1).' debe ser menor a Unit_'.$idx; }
               if($pvp_b>$pvp_a){$error_save.='<br>Error : PVP_'.($idx+1).' debe ser menor a PVP_'.$idx; }
//                if($dcto_b<$dcto_a){$error_save.='<br>Error : Dcto_'.($idx+1).' debe ser mayor a Dcto_'.$idx; }
          }
     }
     

     if(mb_stristr('caja.ctab.bode.lsub.zsub.csub.lote.psco',$tabla))
     {
          $sql_maes ='select * from '.$tabla0.' where '.$tabla.'_codigo is not null ';
          $sql_maes.=' and '.$tabla.'_codigo="'.$codigo.'" ';
          $sql_maes.='order by '.$tabla.'_codigo ';
          $sql_maes.='limit 1';
          $res_maes=msql_query($sql_maes,$link_data);
          
          if(msql_num_rows($res_maes)==0){$codigo=new_maes($tabla,$codigo,$descri);}
          
     }
     
     
     if($tabla=='trty')
     {
          $descri=$sector.' #'.$numero.' ('.$bloques.')';
     }
     
}
     
     
if(empty($error_save))
{
     $sql_stru='describe '.$tabla0;
     $res_stru=msql_query($sql_stru,$link_data);

     $sql_updt='update '.$tabla0.' set ';
     while($aso_stru=msql_fetch_assoc($res_stru))
     {
        $xvalor=${substr($aso_stru['Field'],5)};
//         $xvalor=str_replace('"','\"',$xvalor);
//         $xvalor=str_replace("'","\'",$xvalor);
        $xtype.=$aso_stru['Type'];
        if($xvalor!='' and $aso_stru['Field']!=$tabla.'_codigo' and $aso_stru['Field']!=$tabla.'_idate')
        {$sql_updt.=$aso_stru['Field'].'="'.$xvalor.'", ';}
     }
     $sql_updt.= $tabla.'_uuser="'.$user_codigo.'", ';
     $sql_updt.= $tabla.'_udate=now() ';
     $sql_updt.=' where '.$tabla.'_codigo="'.$codigo.'"';
     
     $sql_updt=str_replace('"true"','"1"',$sql_updt);
     $sql_updt=str_replace('"false"','"0"',$sql_updt);
     
     $res_updt=msql_query($sql_updt,$link_data);

     
//      echo '===== '.$sql_updt;
     
     if($tabla=='empr')
     {
          $sql_updt ='update pk120 set ';
          $sql_updt.='pk12_pass="'.$p12pass.'" ';
          $sql_updt.='where pk12_enti like "'.substr($ruc,0,10).'%" ';
          $sql_updt.='order by pk12_file desc limit 1';
          $res_updt=msql_query($sql_updt,$link_data);
          vali_maes('pk12');
     }
     
     if($tabla=='user')
     {
          $sql_updt ='update pk120 set ';
          $sql_updt.='pk12_pass="'.$p12pass.'" ';
          $sql_updt.='where pk12_enti like "'.substr($cedula,0,10).'%" ';
          $sql_updt.='order by pk12_file desc limit 1';
          $res_updt=msql_query($sql_updt,$link_data);

          if($empr0['empr_taxi'] and strlen($cedula)>=10)
          {
               $sql_updt ='update enti0 set ';
               $sql_updt.='enti_pais=case when ifnull(enti_pais,"")="" then "'.$pais.'" else "" end, ';
               $sql_updt.='enti_ciudad=case when ifnull(enti_ciudad,"")="" then "'.$ciudad.'" else "" end, ';
               $sql_updt.='enti_email=case when ifnull(enti_email,"")="" then "'.$email.'" else "" end, ';
               $sql_updt.='enti_status=enti_status ';
               $sql_updt.='where enti_codigo like "'.substr($cedula,0,10).'%" ';
               $res_updt=msql_query($sql_updt,$link_data);
          }
          vali_maes('pk12');
     }
     
     
     if($tabla=='enti')
     {
          $sql_updt ='update '.$tabla0.' set ';
          $sql_updt.='enti_nom1=null,enti_nom2=null,enti_ape1=null,enti_ape2=null ';
          $sql_updt.='where substring(enti_codigo,3,1)="9" and '.$tabla.'_codigo="'.$codigo.'"';
          $res_updt=msql_query($sql_updt,$link_data);

          $sql_updt ='update '.$tabla0.' set ';
          $sql_updt.='enti_descri="_CONSUMIDOR FINAL", enti_razsoc="_CONSUMIDOR FINAL", enti_nomcom="_CONSUMIDOR FINAL", ';
          $sql_updt.='enti_nom1=null,enti_nom2=null,enti_ape1=null,enti_ape2=null ';
          $sql_updt.='where enti_codigo like "9999%" ';
          $res_updt=msql_query($sql_updt,$link_data);
     }

     
     $consolelog=$response->appendChild($dom->createElement("consolelog"));
//      $div=$consolelog->appendChild($dom->createElement("sql",$wsapp1.$wsappr1)); 

          $response->appendChild($dom->createElement("codigo",$codigo));
     //     $response->appendChild($dom->createElement("idnum1",$idnum1));
     //     $response->appendChild($dom->createElement("numero",$numero));
     
     $msgswal->appendChild($dom->createElement("icon","success")); 
     $msgswal->appendChild($dom->createElement("title","Actualización")); 
     $msgswal->appendChild($dom->createElement("text","OK")); 
     $msgswal->appendChild($dom->createElement("timer","5000")); 

}


if(empty($error_save) and !empty($alert_save))
{
     $msgswal->appendChild($dom->createElement("icon","warning")); 
     $msgswal->appendChild($dom->createElement("title","Advertencia")); 
     $msgswal->appendChild($dom->createElement("text",$alert_save)); 
     $msgswal->appendChild($dom->createElement("timeout","10000")); 
}

if(!empty($error_save))
{
     $msgswal->appendChild($dom->createElement("icon","error")); 
     $msgswal->appendChild($dom->createElement("title","Error")); 
     $msgswal->appendChild($dom->createElement("text",$error_save)); 
     $msgswal->appendChild($dom->createElement("timeout","10000")); 
}


echo $dom->saveXML();
?>